//
// Created by sasha on 28.11.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_CUBE_H
#define RU_DANSOFT_PUZZLE15_CUBE_H

#include "engine/widgets/iwidget.h"
#include "engine/widgets/image.h"
#include "engine/widgets/text.h"

class Cube  : public IWidget {
    public:
        Cube(IWidget *parent,float x, float y, const std::string &type,int number);
        ~Cube();

        void setBoardPosition(int x,int y);
        SDL_Point getBoardPosition();

        int getNumber();

        void move(float x, float y);

private:
        Image *image;
        Text *text_number;

        SDL_Point boardPosition;
        int cube_number;

        float size_cube = 92;
        std::string filename = "cube_green.png";
        float text_size = 40;
        float text_left = 36.5;
        float text_top = 22;

};


#endif //RU_DANSOFT_PUZZLE15_CUBE_H
